declare const _exports: {
    "$schema": string;
    "$id": string;
    "version": string;
    "type": string;
    "additionalProperties": boolean;
    "properties": {
        "root": {
            "type": string;
            "title": string;
            "description": string;
            "default": boolean;
        };
        "extends": {
            "type": string;
            "items": {
                "type": string;
            };
            "title": string;
            "description": string;
        };
        "elements": {
            "type": string;
            "items": {
                "anyOf": {
                    "type": string;
                }[];
            };
            "title": string;
            "description": string;
            "example": string[];
        };
        "plugins": {
            "type": string;
            "items": {
                "type": string;
            };
            "title": string;
            "description": string;
            "example": string[];
        };
        "transform": {
            "type": string;
            "additionalProperties": {
                "type": string;
            };
            "title": string;
            "description": string;
            "example": {
                "^.*\\.foo$": string;
                "^.*\\.bar$": string;
                "^.*\\.baz$": string;
            };
        };
        "rules": {
            "type": string;
            "patternProperties": {
                ".*": {
                    "anyOf": ({
                        "enum": (string | number)[];
                        "type"?: undefined;
                        "items"?: undefined;
                    } | {
                        "type": string;
                        "items": {
                            "enum": (string | number)[];
                        }[];
                        "enum"?: undefined;
                    })[];
                };
            };
            "title": string;
            "description": string;
            "example": {
                "foo": string;
                "bar": string;
                "baz": (string | {
                    "style": string;
                })[];
            };
        };
    };
};
export = _exports;
