declare const _exports: {
    "$schema": string;
    "$id": string;
    "version": string;
    "type": string;
    "patternProperties": {
        "^.*$": {
            "type": string;
            "properties": {
                "inherit": {
                    "type": string;
                };
                "embedded": {
                    "$ref": string;
                };
                "flow": {
                    "$ref": string;
                };
                "heading": {
                    "$ref": string;
                };
                "interactive": {
                    "$ref": string;
                };
                "metadata": {
                    "$ref": string;
                };
                "phrasing": {
                    "$ref": string;
                };
                "sectioning": {
                    "$ref": string;
                };
                "deprecated": {
                    "anyOf": {
                        "type": string;
                    }[];
                };
                "foreign": {
                    "type": string;
                };
                "void": {
                    "type": string;
                };
                "transparent": {
                    "type": string;
                };
                "implicitClosed": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "scriptSupporting": {
                    "type": string;
                };
                "form": {
                    "type": string;
                };
                "deprecatedAttributes": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "requiredAttributes": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "attributes": {
                    "$ref": string;
                };
                "permittedContent": {
                    "$ref": string;
                };
                "permittedDescendants": {
                    "$ref": string;
                };
                "permittedOrder": {
                    "$ref": string;
                };
                "requiredAncestors": {
                    "$ref": string;
                };
                "requiredContent": {
                    "$ref": string;
                };
            };
            "additionalProperties": boolean;
        };
    };
    "definitions": {
        "contentCategory": {
            "anyOf": ({
                "type": string;
                "$ref"?: undefined;
            } | {
                "$ref": string;
                "type"?: undefined;
            })[];
        };
        "expression": {
            "type": string;
            "items": ({
                "type": string;
                "enum": string[];
                "anyOf"?: undefined;
            } | {
                "anyOf": ({
                    "type": string;
                    "$ref"?: undefined;
                } | {
                    "$ref": string;
                    "type"?: undefined;
                })[];
                "type"?: undefined;
                "enum"?: undefined;
            })[];
        };
        "operation": {
            "type": string;
            "items": ({
                "type": string;
                "enum"?: undefined;
            } | {
                "type": string;
                "enum": string[];
            })[];
        };
        "Permitted": {
            "type": string;
            "items": {
                "anyOf": ({
                    "type": string;
                    "$ref"?: undefined;
                } | {
                    "$ref": string;
                    "type"?: undefined;
                })[];
            };
        };
        "PermittedAttribute": {
            "type": string;
            "patternProperties": {
                "^.*$": {
                    "type": string;
                    "uniqueItems": boolean;
                    "items": {
                        "type": string;
                    };
                };
            };
        };
        "PermittedGroup": {
            "type": string;
            "additionalProperties": boolean;
            "properties": {
                "exclude": {
                    "anyOf": ({
                        "items": {
                            "type": string;
                        };
                        "type": string;
                    } | {
                        "type": string;
                        "items"?: undefined;
                    })[];
                };
            };
        };
        "PermittedOrder": {
            "type": string;
            "items": {
                "type": string;
            };
        };
        "RequiredAncestors": {
            "type": string;
            "items": {
                "type": string;
            };
        };
        "RequiredContent": {
            "type": string;
            "items": {
                "type": string;
            };
        };
    };
};
export = _exports;
